Skip to main content
GET
/
agent
/
runs
cURL
curl -s "https://api.exa.ai/agent/runs?limit=10" \
  -H "x-api-key: $EXA_API_KEY"
{
  "object": "<string>",
  "data": [
    {
      "id": "agent_run_01j7x9v0m2n4p6q8r0s2t4v6w8",
      "object": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "completedAt": "2023-11-07T05:31:56Z",
      "request": {
        "query": "What are the most important AI infrastructure funding rounds announced this week?",
        "systemPrompt": "Prefer official sources and avoid duplicate results.",
        "input": {
          "data": [
            {}
          ],
          "exclusion": [
            {}
          ]
        },
        "outputSchema": {},
        "effort": "auto",
        "previousRunId": "agent_run_01j7x9v0m2n4p6q8r0s2t4v6w8",
        "metadata": {
          "slack_channel_id": "C123ABC",
          "slack_thread_id": "1745444400.123456",
          "user_id": "U123ABC"
        }
      },
      "output": {
        "text": "<string>",
        "structured": true,
        "grounding": [
          {
            "field": "structured.companies[0].sourceUrl",
            "citations": [
              {
                "url": "<string>",
                "title": "<string>"
              }
            ]
          }
        ]
      },
      "usage": {
        "agentComputeUnits": 1,
        "searches": 1,
        "emails": 1,
        "phoneNumbers": 1
      },
      "costDollars": {
        "total": 1,
        "agentCompute": 1,
        "search": 1,
        "emails": 1,
        "phoneNumbers": 1
      }
    }
  ],
  "hasMore": true,
  "nextCursor": "agent_run_01j7x9v0m2n4p6q8r0s2t4v6w8"
}
Runs are returned from newest to oldest. Use limit to control page size and cursor with the nextCursor from the previous response to fetch the next page.

Get your Exa API key

Authorizations

x-api-key
string
header
required

Pass your Exa API key in the x-api-key header. You can also authenticate with Authorization: Bearer .

Query Parameters

limit
integer
default:20

Number of results per page

Required range: 1 <= x <= 100
cursor
string

Cursor for pagination. Use the nextCursor value from the previous run list response.

Required string length: 1 - 200
Pattern: ^[A-Za-z0-9_.:-]+$
Example:

"agent_run_01j7x9v0m2n4p6q8r0s2t4v6w8"

Response

Paginated Agent runs

object
string
required
Allowed value: "list"
data
object[]
required
hasMore
boolean
required

Whether there are more results

nextCursor
string | null
required

Agent run ID. New run IDs are returned with the agent_run_ prefix.

Required string length: 1 - 200
Pattern: ^[A-Za-z0-9_.:-]+$
Example:

"agent_run_01j7x9v0m2n4p6q8r0s2t4v6w8"